Subject: bug#33887: 26.1; Emacs hangs for several seconds when going to the end of an XML file in nXML mode

From: Vincent Lefevre <[email-masked]>
Date: Wed, 22 May 2019 17:44:11 +0200

On 2019-05-22 09:58:54 -0400, Stefan Monnier wrote:
> > shows the same highlighting.  This seems directly due to "we're now
> > careful to leave alone any pair of quotes that doesn't hold a < or >
> > char".  So uh, Stefan, how was that supposed to work exactly?
> 
> Remember: when I wrote this, we only supported "..." and not '...'.

I'm not sure what you mean by that, but the single quotes are not
the only issue. In general, you don't know the quoting rules in a
text node used by the underlying language (if any), even if you
have only double quotes. For instance, a text node may contain C
or shell code, which can be:

  "a string with \"double quotes\"..."

And one does not expect this to be interpreted as two pairs of
double-quoted text ("a string with \" and "..."). In short, you
should leave text nodes with no specific highlighting, as this
was the case with Emacs 25.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)